package de.intevation.flys.artifacts.access;

import de.intevation.artifacts.CallContext;

import de.intevation.flys.artifacts.FLYSArtifact;


/** Access to data that deals with flow velocity stuff. */
public class FlowVelocityAccess
extends      RangeAccess
{

    private int[] mainChannels;
    private int[] totalChannels;

    public FlowVelocityAccess(FLYSArtifact artifact, CallContext context) {
        super(artifact, context);
    }


    public int[] getMainChannels() {
        if (mainChannels == null) {
            mainChannels = getIntArray("main_channel");
        }

        return mainChannels;
    }


    public int[] getTotalChannels() {
        if (totalChannels == null) {
            totalChannels = getIntArray("total_channel");
        }

        return totalChannels;
    }


    public Double getLowerKM() {
        // TODO update callers to getFrom
        return getFrom();
    }


    public Double getUpperKM() {
        // TODO update callers to getTo
        return getTo();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
